// MfcCeSampleView.cpp : implementation of the CMfcCeSampleView class
//

#include "stdafx.h"
#include "MfcCeSample.h"

#include "MfcCeSampleDoc.h"
#include "MfcCeSampleView.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif


// CMfcCeSampleView

IMPLEMENT_DYNCREATE(CMfcCeSampleView, CScrollView)

BEGIN_MESSAGE_MAP(CMfcCeSampleView, CScrollView)
    ON_WM_LBUTTONDOWN()
    ON_WM_LBUTTONUP()
    ON_WM_LBUTTONDBLCLK()
END_MESSAGE_MAP()

// CMfcCeSampleView construction/destruction

CMfcCeSampleView::CMfcCeSampleView()
{
	// TODO: add construction code here

}

CMfcCeSampleView::~CMfcCeSampleView()
{
}

BOOL CMfcCeSampleView::PreCreateWindow(CREATESTRUCT& cs)
{
	// TODO: Modify the Window class or styles here by modifying
	//  the CREATESTRUCT cs

	return CScrollView::PreCreateWindow(cs);
}


// CMfcCeSampleView drawing
void CMfcCeSampleView::OnDraw(CDC* /*pDC*/)
{
	CMfcCeSampleDoc* pDoc = GetDocument();
	ASSERT_VALID(pDoc);

	// TODO: add draw code for native data here
}


void CMfcCeSampleView::OnInitialUpdate()
{
	CScrollView::OnInitialUpdate();

	CSize sizeTotal;
	// TODO: calculate the total size of this view
	sizeTotal.cx = sizeTotal.cy = 100;
	SetScrollSizes(MM_TEXT, sizeTotal);

}


// CMfcCeSampleView diagnostics

#ifdef _DEBUG
void CMfcCeSampleView::AssertValid() const
{
	CScrollView::AssertValid();
}

CMfcCeSampleDoc* CMfcCeSampleView::GetDocument() const // non-debug version is inline
{
	ASSERT(m_pDocument->IsKindOf(RUNTIME_CLASS(CMfcCeSampleDoc)));
	return (CMfcCeSampleDoc*)m_pDocument;
}
#endif //_DEBUG


#define COLOR24_RED		0x0000FF
#define COLOR24_GREEN	0x00FF00
#define COLOR24_BLUE	0xFF0000

// CMfcCeSampleView message handlers

void CMfcCeSampleView::OnLButtonDown(UINT nFlags, CPoint point)
{
    // TODO: Add your message handler code here and/or call default
    CClientDC dc(this);
    int width = 8;
    dc.FillSolidRect(point.x-width/2, point.y-width/2, width, width, COLOR24_RED);

    CScrollView::OnLButtonDown(nFlags, point);
}

void CMfcCeSampleView::OnLButtonUp(UINT nFlags, CPoint point)
{
    // TODO: Add your message handler code here and/or call default

    CClientDC dc(this);
    int width = 4;
    dc.FillSolidRect(point.x-width/2, point.y-width/2, width, width, COLOR24_BLUE);

    CScrollView::OnLButtonUp(nFlags, point);
}

void CMfcCeSampleView::OnLButtonDblClk(UINT nFlags, CPoint point)
{
    // TODO: Add your message handler code here and/or call default

    CClientDC dc(this);
    int width = 8;
    dc.FillSolidRect(point.x-width/2, point.y-width/2, width, width, COLOR24_RED);
    width = 4;
    dc.FillSolidRect(point.x-width/2, point.y-width/2, width, width, COLOR24_BLUE);

    CScrollView::OnLButtonDblClk(nFlags, point);
}
